datacache <- new.env(hash=TRUE, parent=emptyenv())

tilinghuman20r05hsug <- function() showQCData("tilinghuman20r05hsug", datacache)
tilinghuman20r05hsug_dbconn <- function() dbconn(datacache)
tilinghuman20r05hsug_dbfile <- function() dbfile(datacache)
tilinghuman20r05hsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilinghuman20r05hsug_dbInfo <- function() dbInfo(datacache)

tilinghuman20r05hsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilinghuman20r05hsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilinghuman20r05hsug", "chip tilinghuman20r05hsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilinghuman20r05hsug_dbconn())
}

